#ifndef __PARTICLESYSTEMCPU_H__
#define __PARTICLESYSTEMCPU_H__

#include <math.h>
#include <stdlib.h>
#include <GL/glut.h>

struct float3 { float x, y, z; };

void computeForces(float3* pos_in, float3* force_out, int n);
void updatePosition(float3* pos, float3* force_in, int n, float l);

class ParticleSystemCPU
{
private:
	int numParticle;
	float3* pos;
	float3* force;

	float* _pos;
	float* _force;

	float UpMove;

	
public:
	ParticleSystemCPU(int numParticle);
	void update();
	void draw();

	void initialize();



};

#endif